Package org.gradle.caching

## Interface BuildCacheEntryWriter

-     public interface BuildCacheEntryWriter

  Writer to serialize a build cache entry.
  Since:
    3.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getSize()` | Returns the size of the build cache entry to be written.
    `void` | `writeTo​(OutputStream output)` | Writes a build cache entry to the given stream.

- - ### Method Detail

    - #### writeTo

          void writeTo​(OutputStream output)
                throws IOException

      Writes a build cache entry to the given stream.

      The given output stream will be closed by this method.

      Parameters:
        `output` - output stream to write build cache entry to
      Throws:
        `IOException` - when an I/O error occurs when writing the cache entry to the given output stream

    - #### getSize

          long getSize()

      Returns the size of the build cache entry to be written.
      Returns:
        the size of the build cache entry to be written.
      Since:
        4.1